<?php
namespace app\cms\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //初始配置
        model('cms/Datas','loglic')->insertConfig();
        
        //初始字段
        model('cms/Datas','loglic')->insertField();
        
        //初始路由
        model('cms/Datas','loglic')->insertRoute();
        
        //后台菜单
        model('cms/Datas','loglic')->insertMenu();
        
        //分类/标签/导航
        model('cms/Datas','loglic')->insertTerm();
        
        //采集规则
        model('cms/Datas','loglic')->insertCollect();
        
        //清空缓存
        \think\Cache::clear();
        
        //返回结果
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        //更新基础信息
        \daicuo\Apply::updateStatus('cms', 'enable');

        //更新打包配置
        model('cms/Datas','loglic')->packStore();
        
        //清空缓存
        \think\Cache::clear();

        return true;
    }
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        model('cms/Datas','loglic')->remove();
        
        return true;
    }
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        model('cms/Datas','loglic')->remove();
        
        model('cms/Datas','loglic')->delete();
        
        return true;
	}
}